
version: '2.4' 
services:

    # For BRIDGE Mode Configuration
    bridge:
        container_name: bridge
        volumes:
            - '/data/bridge/config/:/config'
            - '/data/bridge/data/:/data'
            - '/data/log/:/log'
        ports:
          # Inbound connections to masters
          - 43001-43099:43011-43099/udp
          # Inbound XLX peer connections
          - 62030:62030/udp
          # Inbound Repeater Connections
          - 54001-54099:54001-54099/udp
          # Inbound bridge UDP ports
          - 6100-6199:6100-6199/udp
        image: 'docker.jaredquinn.info/digitalvoice/master:latest'
        restart: "unless-stopped"
        # Note BRIDGE_SERVER=1 means do not run the hotspot proxy,
        # or parorot services.  Run using bridge.cfg & bridge_rules.py
        environment:
            - BRIDGE_SERVER=1
            - DMR_CONFIG=/config/bridge.cfg
            - DMR_RULES=/config/bridge_rules.py
            - SUPERVISOR_MODE=1


